Page MenuHomeFreeBSD

Work around the lack of definition of union semun per POSIX.
ClosedPublic

Authored by brooks on Jan 30 2018, 9:22 PM.

Details

Summary

When feasible do this by adding -D_WANT_SEMUN to CFLAGS or CXXFLAGS.
Where this fails due to ports not honoring C*FLAGS, patch using
__FreeBSD_version to enable the definition.

NOTE: the patches currently use the un-updated __FreeBSD_version value. This will be corrected at commit time.

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14792
Build 14911: arc lint + arc unit

Event Timeline

brooks created this revision.Jan 30 2018, 9:22 PM
brooks updated this revision to Diff 38889.Feb 5 2018, 5:59 PM
  • One more -D_WANT_SEMUN after new exprun.
brooks updated this revision to Diff 38981.Feb 6 2018, 11:14 PM
  • Work around the need for union semun, lack of mymsg, and struct name changes
brooks updated this revision to Diff 39268.Feb 13 2018, 7:49 PM
  • Rebase
  • Remove no longer needed patches (fixed upstream and port updated).
brooks updated this revision to Diff 39667.Feb 23 2018, 9:53 PM
  • Update __FreeBSD_version to anticipated value.
This revision was not accepted when it landed; it landed in state Needs Review.Mar 2 2018, 10:35 PM
This revision was automatically updated to reflect the committed changes.